Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IChartDataSheet

public interface IChartDataSheet
Data sheet integration interface for chart builder. Implement this UI interface to integrate chart builder with various data bindings.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DETAIL_UPDATE_COLOR`
The field indicates the component color of query should be updated.
`static final int`
`DETAIL_UPDATE_COLOR_AND_TEXT`
The field indicates the component color and text should be updated.
`static final int`
`EVENT_PREVIEW`
Event type indicates refreshing preview.
`static final int`
`EVENT_QUERY`
Event type indicates updating predefined queries.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.swt.widgets.Listener listener)`
Adds the listener to the collection of listeners who will be notified when an event of the given type occurs.
`org.eclipse.swt.widgets.Composite`
`createActionButtons(org.eclipse.swt.widgets.Composite parent)`
Creates the UI which includes buttons to trigger some actions.
`ISelectDataCustomizeUI`
`createCustomizeUI(org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.ITask task)`
Creates the customized UI to maintain left, right and bottom parts in data sheet.
`org.eclipse.swt.widgets.Composite`
`createDataDragSource(org.eclipse.swt.widgets.Composite parent)`
Creates the UI which could be used as drag-and-drop source during data binding.
`org.eclipse.swt.widgets.Composite`
`createDataSelector(org.eclipse.swt.widgets.Composite parent)`
Creates data selector to select data set and etc.
`void`
`dispose()`
Disposes the resources if needed.
`void`
`notifyListeners(org.eclipse.swt.widgets.Event event)`
Notifies all of the receiver's listeners for events of the given type that one such event has occurred by invoking their `handleEvent()` method.
`void`
`removeListener(org.eclipse.swt.widgets.Listener listener)`
Removes the listener from the collection of listeners who will be notified when an event of the given type occurs.
`void`
`setChartModel(org.eclipse.birt.chart.model.Chart cm)`
Sets chart model.
`void`
`setContext(org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.IWizardContext context)`
Sets chart context.

## Field Details

### EVENT_PREVIEW

static final int EVENT_PREVIEW
Event type indicates refreshing preview.

See Also:
  - Constant Field Values

### EVENT_QUERY

static final int EVENT_QUERY
Event type indicates updating predefined queries.

See Also:
  - Constant Field Values

### DETAIL_UPDATE_COLOR

static final int DETAIL_UPDATE_COLOR
The field indicates the component color of query should be updated.

See Also:
  - Constant Field Values

### DETAIL_UPDATE_COLOR_AND_TEXT

static final int DETAIL_UPDATE_COLOR_AND_TEXT
The field indicates the component color and text should be updated.

See Also:
  - Constant Field Values

## Method Details

### setChartModel

void setChartModel(org.eclipse.birt.chart.model.Chart cm)
Sets chart model.

Parameters:
  `cm` - chart model

### setContext

void setContext(org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.IWizardContext context)
Sets chart context.

Parameters:
  `context` - chart context

### createCustomizeUI

ISelectDataCustomizeUI createCustomizeUI(org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.ITask task)
Creates the customized UI to maintain left, right and bottom parts in data sheet.

Parameters:
  `task` - data sheet task
Returns:
  customized UI

### createDataSelector

org.eclipse.swt.widgets.Composite createDataSelector(org.eclipse.swt.widgets.Composite parent)
Creates data selector to select data set and etc.

Parameters:
  `parent` - parent composite
Returns:
  new composite

### createDataDragSource

org.eclipse.swt.widgets.Composite createDataDragSource(org.eclipse.swt.widgets.Composite parent)
Creates the UI which could be used as drag-and-drop source during data binding.

Parameters:
  `parent` - parent composite
Returns:
  new composite

### createActionButtons

org.eclipse.swt.widgets.Composite createActionButtons(org.eclipse.swt.widgets.Composite parent)
Creates the UI which includes buttons to trigger some actions.

Parameters:
  `parent` - parent composite
Returns:
  new composite

### addListener

void addListener(org.eclipse.swt.widgets.Listener listener)
Adds the listener to the collection of listeners who will be notified when an event of the given type occurs. When the event does occur in the widget, the listener is notified by sending it the `handleEvent()` message. The event type is one of the event constants defined in class `SWT`.

Parameters:
  `listener` - the listener which should be notified when the event occurs
See Also:
  - `Listener`
  - `removeListener(Listener)`
  - `notifyListeners(Event)`

### removeListener

void removeListener(org.eclipse.swt.widgets.Listener listener)
Removes the listener from the collection of listeners who will be notified when an event of the given type occurs. The event type is one of the event constants defined in class `SWT`.

Parameters:
  `listener` - the listener which should no longer be notified when the event occurs
See Also:
  - `Listener`
  - `addListener(Listener)`
  - `notifyListeners(Event)`

### notifyListeners

void notifyListeners(org.eclipse.swt.widgets.Event event)
Notifies all of the receiver's listeners for events of the given type that one such event has occurred by invoking their `handleEvent()` method. The event type is one of the event constants defined in class `SWT`.

Parameters:
  `event` - the event data
See Also:
  - `addListener(Listener)`
  - `removeListener(Listener)`

### dispose

void dispose()
Disposes the resources if needed.